<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

/**
 * Controllers for "core" pages: home, etc.
 */
class CoreController extends AbstractController {
    /**
     * Redirection for root URL (without locale)
     *
     * @param Request $request The request
     *
     * @return Response The response
     */
    public function root_redirect (Request $request): Response {
        return $this->redirectToRoute('core_main', [
            '_locale' => $request->getPreferredLanguage($this->getParameter('locale.all')),
        ]);
    }

    /**
     * Home page
     *
     * @return Response The response
     */
    #[Route('/', name: 'core_main')]
    public function main (): Response {
        return $this->render('core/main.html.twig');
    }
}
